Index: includes/definitions/mibs.inc.php
===================================================================
--- includes/definitions/mibs.inc.php	(revision 8698)
+++ includes/definitions/mibs.inc.php	(working copy)
@@ -662,6 +662,70 @@
 $config['mibs'][$mib]['hardware'][]   = array('oid' => 'omsFwRev.0', 'transformations' => array(array('action' => 'regex_replace', 'from' => '/^Eltex +([\w\-\:\.]+) .* version ([\d\.]+) .*/', 'to' => '$1')));
 $config['mibs'][$mib]['version'][]    = array('oid' => 'omsFwRev.0', 'transformations' => array(array('action' => 'regex_replace', 'from' => '/^Eltex +([\w\-\:\.]+) .* version ([\d\.]+) .*/', 'to' => '$2')));
 
+$mib = 'ELTEX-LTP8X';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.22';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GPON devices';
+
+$mib = 'ELTEX-LTP8X-STANDALONE';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.22.1';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GPON devices STANDALONE';
+
+$config['mibs'][$mib]['processor']['ltp8xCPULoadAverage5Minutes']                 = array('type'          => 'static',
+                                                                                          'oid_descr'     => 'ltp8xCPULoadAverage5Minutes',
+                                                                                          'oid'           => 'ltp8xCPULoadAverage5Minutes.0',
+                                                                                          'oid_num'       => '.1.3.6.1.4.1.35265.1.22.1.10.4.0',
+                                                                                          'scale'         => 0.01);
+$config['mibs'][$mib]['mempool']['ltp8xRAM'] = array('type' => 'static', 'descr' => 'RAM', 'scale' => 1,
+  'oid_free'   => 'ltp8xRAMFree.0', 'oid_free_num'  => '.1.3.6.1.4.1.35265.1.22.1.10.2.0', //ELTEX-LTP8X-STANDALONE::ltp8xDiskFreeSpace.0 = Gauge32: 15923
+  'total'   => 519045120, // 495*1024*1024 - From CLI: Free RAM/Total RAM (Mbytes):      269/495
+);
+
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor1Temperature.0 = Gauge32: 32
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor1TemperatureExt.0 = INTEGER: 32
+$config['mibs'][$mib]['sensor']['ltp8xSensorTemperature']['indexes'][1] = array('descr' => 'Sensor 1', 'class' => 'temperature', 'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.10.0');
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor2Temperature.0 = Gauge32: 44
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor2TemperatureExt.0 = INTEGER: 44
+$config['mibs'][$mib]['sensor']['ltp8xSensorTemperature']['indexes'][2] = array('descr' => 'Sensor 2', 'class' => 'temperature', 'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.11.0');
+
+$config['mibs'][$mib]['sensor']['ltp8xFanRPM']['indexes'][0]            = array('descr' => 'Fan 0',    'class' => 'fanspeed',    'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.7.0', 'oid_limit_low' => '.1.3.6.1.4.1.35265.1.22.1.10.20.0', 'oid_limit_high' => '.1.3.6.1.4.1.35265.1.22.1.10.21.0');
+$config['mibs'][$mib]['sensor']['ltp8xFanRPM']['indexes'][1]            = array('descr' => 'Fan 1',    'class' => 'fanspeed',    'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.9.0', 'oid_limit_low' => '.1.3.6.1.4.1.35265.1.22.1.10.20.0', 'oid_limit_high' => '.1.3.6.1.4.1.35265.1.22.1.10.21.0');
+//ELTEX-LTP8X-STANDALONE::ltp8xFan0Active.0 = INTEGER: true(1)
+//ELTEX-LTP8X-STANDALONE::ltp8xFan0RPM.0 = Gauge32: 6540
+//ELTEX-LTP8X-STANDALONE::ltp8xFan1Active.0 = INTEGER: true(1)
+//ELTEX-LTP8X-STANDALONE::ltp8xFan1RPM.0 = Gauge32: 6480
+//ELTEX-LTP8X-STANDALONE::ltp8xFanMinRPM.0 = Gauge32: 2000
+//ELTEX-LTP8X-STANDALONE::ltp8xFanMaxRPM.0 = Gauge32: 12000
+
+$mib = 'ELTEX-LTE8ST';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.21';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GEPON devices';
+$config['mibs'][$mib]['processor']['lte8stSystemCPULoadAverage5Minutes']                 = array('type'          => 'static',
+                                                                                                 'oid_descr'     => 'lte8stSystemCPULoadAverage5Minutes',
+                                                                                                 'oid'           => 'lte8stSystemCPULoadAverage5Minutes.0',
+                                                                                                 'oid_num'       => '.1.3.6.1.4.1.35265.1.21.1.33.0');
+$config['mibs'][$mib]['mempool']['lte8stSystemRAM'] = array('type' => 'static', 'descr' => 'RAM', 'scale' => 1,
+  'oid_free'   => 'lte8stSystemRAMFree.0', 'oid_free_num'  => '.1.3.6.1.4.1.35265.1.21.1.31.0', // ELTEX-LTE8ST::lte8stSystemRAMFree.0 = Gauge32: 136638464
+  'total'   => 254803968, // From CLI: Free RAM/Total RAM (Mbytes): 125/243
+);
+
+// ELTEX-LTE8ST::lte8stSystemPonPorts.0 = INTEGER: 2
+//$config['mibs'][$mib]['sensor']['lte8stSystemPonPorts']['indexes'][0]    = array('descr' => 'PON ports',    'oid' => 'lte8stSystemPonPorts.0', 'min' => 0, 'max' => 128, 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.21.1.8.0', 'measured' => 'device');
+// ELTEX-LTE8ST::lte8stSystemUplinkPorts.0 = INTEGER: 4
+//$config['mibs'][$mib]['sensor']['lte8stSystemUplinkPorts']['indexes'][0] = array('descr' => 'Uplink ports', 'oid' => 'lte8stSystemUplinkPorts.0', 'min' => 0 , 'max' => 128, 'scale' => 1);
+
+// ELTEX-LTE8ST::lte8stSystemP2PEnabled.0 = INTEGER: false(0)
+$config['mibs'][$mib]['status']['lte8stSystemP2PEnabled']['indexes'][0]  = array('descr' => 'P2P Enabled',  'oid' => 'lte8stSystemP2PEnabled.0', 'measured' => 'device', 'type' => 'BoolValue', 'oid_num' => '.1.3.6.1.4.1.35265.1.21.1.15.0');
+
+$config['mibs'][$mib]['states']['BoolValue'][0]      = array('name' => 'false', 'event' => 'ok');
+$config['mibs'][$mib]['states']['BoolValue'][1]      = array('name' => 'true',  'event' => 'ok');
+
+
 // Accuview
 
 $mib = 'ACCUENERGY-MIB';
Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php	(revision 8698)
+++ includes/definitions/os.inc.php	(working copy)
@@ -1992,6 +2008,7 @@
 //MES3124F 28-port Fiber 1G/10G Managed Switch
 //MES2124M AC 28-port 1G Managed Switch
 $config['os'][$os]['sysDescr_regex'][]      = "/^(?:Eltex +)?(?<hardware>[a-z]+\-?\d+[\w]+)(?:(?: +AC)? +(?:[0-9a-z-]+) +(?<features>.+))?/i";
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh');
 
 $os = "eltex-voip";
 $config['os'][$os]['text']                  = "Eltex VoIP";
@@ -2020,12 +2037,12 @@
   'sysDescr'                                => '/^Linux /',
   'sysName'                                 => '/^(SMG|TAU|SBC|RG|TSU|MC)/i',
 );
+$config['os'][$os]['remote_access']         = array('http');
 
 $os = "eltex-gpon";
 $config['os'][$os]['text']                  = "Eltex GPON";
 $config['os'][$os]['vendor']                = "Eltex";
 $config['os'][$os]['type']                  = "network";
-//$config['os'][$os]['group']                 = "radlan";
 //$config['os'][$os]['graphs'][]              = "device_bits";
 //$config['os'][$os]['graphs'][]              = "device_processor";
 //$config['os'][$os]['graphs'][]              = "device_mempool";
@@ -2047,6 +2064,7 @@
   'sysName'                                 => '/^(LTP|LTE)/i',
 );
 $config['os'][$os]['mibs'][]                = "ELTEX-OMS";
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh', 'http');
 
 // Fortinet
 
